% PFrameT4ElementStiffness.m (function)
% Returns the local stiffness matrix [6x6] of a 2D beam element Type 4
% Beam o------o with hinges at both ends (P1 Type, hinges at start i and end j)
% This file is part of the PFrameMatlab program

function  y = PFrameT4ElementStiffness(E,A,I,L)

y = [ E*A/L   0   0  -E*A/L   0   0  ;
        0     0   0    0      0   0  ;
        0     0   0    0      0   0  ;
     -E*A/L   0   0   E*A/L   0   0  ;
        0     0   0    0      0   0  ;    
        0     0   0    0      0   0 ];   
    
% End of file -------------------------------------------------------------